;; ;; =====================================================================
;; ;; DISPLAY -- Set the font to Courier-12 -- Set Colors appropriately
;; ;;  MODIFY TO SET WIDTH, HEIGHT and POSITION APPROPRIATELY
;; ;; =====================================================================
(add-to-list 'load-path "~/.emacs.d/site-lisp/")
(setq default-frame-alist
      '((top . 0) (left . 1220)
	(width . 93) (height . 77)))


(add-hook 'LaTeX-mode-hook 'turn-on-reftex)
(add-hook 'LaTeX-mode-hook 'flyspell-mode)
(add-hook 'text-mode-hook 'turn-on-auto-fill)
(setq reftex-plug-into-AUCTeX t)
(setq TeX-PDF-mode t)


;; ;;(require 'ipython)

(custom-set-variables
;;   ;; custom-set-variables was added by Custom.
;;   ;; If you edit it by hand, you could mess it up, so be careful.
;;   ;; Your init file should contain only one such instance.
;;   ;; If there is more than one, they won't work right.
  '(column-number-mode t)
  '(display-time-mode t)
  '(inhibit-startup-screen t)
;;  '(mouse-wheel-scroll-amount (quote (1 ((shift) . 1) ((control)))))
  '(ns-alternate-modifier (quote meta))
  '(ns-command-modifier (quote meta))
  '(reftex-cite-format (quote harvard))
  '(reftex-default-bibliography (quote ("~/bibtex/allrefs.bib")))
  '(remote-shell-program "/bin/bash")
  '(tool-bar-mode nil)
)

;; ;;;(custom-set-faces
;;   ;; custom-set-faces was added by Custom.
;;   ;; If you edit it by hand, you could mess it up, so be careful.
;;   ;; Your init file should contain only one such instance.
;;   ;; If there is more than one, they won't work right.
;;  ;;;)

;; (setq exec-path (append "/usr/local/bin" exec-path))

;; see http://www.stefanom.org/setting-up-a-nice-auctex-environment-on-mac-os-x/
;;
;; Use Skim as viewer, enable source <-> PDF sync
;; make latexmk available via C-c C-c
;; Note: SyncTeX is setup via ~/.latexmkrc (see below)
(add-hook 'LaTeX-mode-hook (lambda ()
  (push
    '("latexmk" "latexmk -pdf %s" TeX-run-TeX nil t
      :help "Run latexmk on file")
    TeX-command-list)))

(add-hook 'TeX-mode-hook '(lambda () (setq TeX-command-default "latexmk")))
 
;; use Skim as default pdf viewer
;; Skim's displayline is used for forward search (from .tex to .pdf)
;; option -b highlights the current line; option -g opens Skim in the background  
(setq TeX-view-program-selection '((output-pdf "PDF Viewer")))
(setq TeX-view-program-list
     '(("PDF Viewer" "/Applications/Skim.app/Contents/SharedSupport/displayline -b -g %n %o %b")))

(server-start); start emacs in server mode so that skim can talk to it